Package org.eclipse.mat.inspections.threads

## Class TaskInfo

- java.lang.Object
- - org.eclipse.mat.inspections.threads.TaskInfo

    public class TaskInfo
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSubtask​(TaskInfo subtask)`
`java.lang.String` `getId()`
`java.lang.String` `getName()`
`java.lang.String` `getSequence()`
`java.lang.String` `getState()`
`java.util.List<TaskInfo>` `getSubtasks()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSequence

    public java.lang.String getSequence()

#### getId

    public java.lang.String getId()

#### getName

    public java.lang.String getName()

#### getState

    public java.lang.String getState()

#### addSubtask

    public void addSubtask​(TaskInfo subtask)

#### getSubtasks

    public java.util.List<TaskInfo> getSubtasks()